Package com.pixelmed.displaywave

# Class SCPSourceECG

java.lang.Object
com.pixelmed.displaywave.SourceECG
com.pixelmed.displaywave.SCPSourceECG

public class SCPSourceECG extends SourceECG

A class that encapsulates the features and values from an SCP ECG source, usually for the purpose of displaying it.

## Field Summary

### Fields inherited from class com.pixelmed.displaywave.SourceECG

`amplitudeScalingFactorInMilliVolts, channelNames, displaySequence, nSamplesPerChannel, numberOfChannels, samples, samplingIntervalInMilliSeconds, title`

## Constructor Summary

Constructors
Constructor
Description
`SCPSourceECG(BinaryInputStream i, boolean deriveAdditionalLeads)`
Construct an ECG source from SCP-ECG data an input stream (such as from a file or the network).
`SCPSourceECG(SCPECG scpecg, boolean deriveAdditionalLeads)`
Construct an ECG source from an SCP-ECG instance.

## Method Summary

Modifier and Type
Method
Description
`protected static String`
`buildInstanceTitle(SCPECG scpecg)`

### Methods inherited from class com.pixelmed.displaywave.SourceECG

`buildInstanceTitle, buildPreferredDisplaySequence, buildPreferredDisplaySequence, findLead, getAmplitudeScalingFactorInMilliVolts, getChannelNames, getDisplaySequence, getNumberOfChannels, getNumberOfSamplesPerChannel, getSamples, getSamplingIntervalInMilliSeconds, getTitle`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SCPSourceECG

public SCPSourceECG(BinaryInputStream i, boolean deriveAdditionalLeads) throws IOException

Construct an ECG source from SCP-ECG data an input stream (such as from a file or the network).

Parameters:
  `i` - the input stream
  `deriveAdditionalLeads` - if true, compute extra unipolar leads when necessary (i.e. make 12 from 8)
Throws:
  `IOException`

### SCPSourceECG

public SCPSourceECG(SCPECG scpecg, boolean deriveAdditionalLeads) throws IOException

Construct an ECG source from an SCP-ECG instance.

Parameters:
  `scpecg` - the input stream
  `deriveAdditionalLeads` - if true, compute extra unipolar leads when necessary (i.e. make 12 from 8)
Throws:
  `IOException`

## Method Details

### buildInstanceTitle

protected static String buildInstanceTitle(SCPECG scpecg)